Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.jsword.book.Msg

    final class Msg

extends MsgBase

Compile safe Msg resource settings.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`(package private) static Msg` | `BIBLE_NOTFOUND`
`(package private) static Msg` | `BOOK_METADATA_SET_OTHER`
`(package private) static Msg` | `BOOK_NOREMOVE`
`(package private) static Msg` | `COMMENTARY_NOTFOUND`
`(package private) static Msg` | `DICTIONARY_NOTFOUND`
`(package private) static Msg` | `DRIVER_NOREMOVE`
`(package private) static Msg` | `DUPLICATE_DRIVER`
`(package private) static Msg` | `ERROR_BADCASE`
`(package private) static Msg` | `ERROR_MIXED`
`(package private) static Msg` | `JOB_DRIVER`
`(package private) static Msg` | `JOB_TITLE`
`(package private) static Msg` | `MISSING_VERSE`
`(package private) static Msg` | `OPEN_COMMERCIAL`
`(package private) static Msg` | `OPEN_COPYABLE`
`(package private) static Msg` | `OPEN_FREE`
`(package private) static Msg` | `OPEN_PD`
`(package private) static Msg` | `OPEN_UNKNOWN`
`(package private) static Msg` | `OSIS_BADID`
`(package private) static Msg` | `STRONGS_ERROR_GREEK`
`(package private) static Msg` | `STRONGS_ERROR_HEBREW`
`(package private) static Msg` | `STRONGS_ERROR_NUMBER`
`(package private) static Msg` | `STRONGS_ERROR_PARSE`
`(package private) static Msg` | `STRONGS_ERROR_PARSING`
`(package private) static Msg` | `STRONGS_ERROR_TYPE`
`(package private) static Msg` | `STRONGS_GREEK`
`(package private) static Msg` | `STRONGS_HEBREW`
`(package private) static Msg` | `STRONGS_PARSING`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BOOK_NOREMOVE

    static final Msg BOOK_NOREMOVE

### DUPLICATE_DRIVER

    static final Msg DUPLICATE_DRIVER

### DRIVER_NOREMOVE

    static final Msg DRIVER_NOREMOVE

### JOB_TITLE

    static final Msg JOB_TITLE

### JOB_DRIVER

    static final Msg JOB_DRIVER

### BIBLE_NOTFOUND

    static final Msg BIBLE_NOTFOUND

### DICTIONARY_NOTFOUND

    static final Msg DICTIONARY_NOTFOUND

### COMMENTARY_NOTFOUND

    static final Msg COMMENTARY_NOTFOUND

### MISSING_VERSE

    static final Msg MISSING_VERSE

### OSIS_BADID

    static final Msg OSIS_BADID

### OPEN_UNKNOWN

    static final Msg OPEN_UNKNOWN

### OPEN_PD

    static final Msg OPEN_PD

### OPEN_FREE

    static final Msg OPEN_FREE

### OPEN_COPYABLE

    static final Msg OPEN_COPYABLE

### OPEN_COMMERCIAL

    static final Msg OPEN_COMMERCIAL

### BOOK_METADATA_SET_OTHER

    static final Msg BOOK_METADATA_SET_OTHER

### STRONGS_GREEK

    static final Msg STRONGS_GREEK

### STRONGS_HEBREW

    static final Msg STRONGS_HEBREW

### STRONGS_PARSING

    static final Msg STRONGS_PARSING

### STRONGS_ERROR_PARSE

    static final Msg STRONGS_ERROR_PARSE

### STRONGS_ERROR_NUMBER

    static final Msg STRONGS_ERROR_NUMBER

### STRONGS_ERROR_HEBREW

    static final Msg STRONGS_ERROR_HEBREW

### STRONGS_ERROR_GREEK

    static final Msg STRONGS_ERROR_GREEK

### STRONGS_ERROR_PARSING

    static final Msg STRONGS_ERROR_PARSING

### STRONGS_ERROR_TYPE

    static final Msg STRONGS_ERROR_TYPE

### ERROR_MIXED

    static final Msg ERROR_MIXED

### ERROR_BADCASE

    static final Msg ERROR_BADCASE

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD